package org.diagbot.nlp.util;

import java.util.HashMap;
import java.util.Map;

public class Constants {
    public static Map<Character, Character> chn_chars_map = new HashMap<Character, Character>(100, 0.75f);

    public final static String default_negative = "有";

    public final static String feature_type_symptom  = "1"; //症状
    public final static String feature_type_diag  = "2";    //诊断
    public final static String feature_type_vital  = "3";   //体征
    public final static String feature_type_lis = "4";      //化验
    public final static String feature_type_pacs = "5";     //检查
    public final static String feature_type_treat = "6";       //治疗
    public final static String feature_type_history = "7";       //历史
    public final static String feature_type_feature = "9"; //症状描述中的特征信息 如部位、性质等

    public static String[] negative_words = new String[]{"无", "未", "未及", "无殊", "否认", "未见", "不", "未闻", "未闻及", "欠"};
}
